"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Button_1 = require("./Button");
/**
 * Represents a GamePlay Button. Used to represent shape of Facebook API object. Type returned by builder and exposed to users to create
 * own object of proper shape if desired taking into account content restrictions for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/buttons/game-play
 */
class GamePlayButton extends Button_1.Button {
    constructor(builder) {
        super(builder.getType());
        this._game_metadata = builder.getGameMetadata();
        this._payload = builder.getPayload();
        this._title = builder.getTitle();
    }
    get game_metadata() {
        return this._game_metadata;
    }
    set game_metadata(value) {
        this._game_metadata = value;
    }
    get payload() {
        return this._payload;
    }
    set payload(value) {
        this._payload = value;
    }
    get title() {
        return this._title;
    }
    set title(value) {
        this._title = value;
    }
}
exports.GamePlayButton = GamePlayButton;
//# sourceMappingURL=GamePlayButton.js.map