import { IURLButton } from '../../interfaces';
import { Button } from './Button';
import { URLButtonBuilder } from '../../builders/buttons';
/**
 * Represents a URL Button. Used to represent shape of Facebook API object. Type returned by builder and exposed to users to create
 * own object of proper shape if desired taking into account content restrictions for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/buttons/url
 */
export declare class URLButton extends Button implements IURLButton {
    private _url;
    private _title;
    private _messenger_extensions?;
    private _fallback_url?;
    private _webview_height_ratio?;
    private _webview_share_button?;
    constructor(builder: URLButtonBuilder);
    readonly url: string;
    readonly title: string;
    readonly messenger_extensions: boolean | undefined;
    readonly fallback_url: string | undefined;
    readonly webview_height_ratio: string | undefined;
    readonly webview_share_button: string | undefined;
}
