/**
 * Class used to handle the initial verification of a newly added webhook endpoint to Facebook. To be used with the GET
 * route as that is the method used by Facebook for token verification.
 */
export declare class ValidateWebhook {
    private constructor();
    /**
     * Method to be used if there is env variable FB_VERIFICATION_TOKEN added as it will extract it by itself.
     * @param req - The request object from server
     * @param res - The response object from server
     */
    static validate(req: any, res: any): void;
    /**
     * Method to be used if verification token is passed in via another method/variable.
     * @param req - The request object from server
     * @param res - The response object from server
     * @param token - The Facebook token
     */
    static validateWithToken(req: any, res: any, token: string): void;
    private static verifyToken(req, res, facebookToken?);
}
